﻿/* Checkbox styling from https://bootsnipp.com/snippets/featured/animated-radios-amp-checkboxes-nojs */
.checkbox {
    display: inline-block;
}

.radio {
    display: inline-block;
}

.checkbox label:after, 
.radio label:after {
    content: '';
    display: table;
    clear: both;
}

.checkbox .cr,
.radio .cr {
    position: relative;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: .25em;
    width: 1.3em;
    height: 1.3em;
    float: left;
    margin-right: .5em;
    background-color: #fff;
    
}

.radio .cr {
	margin-top: -3px;
}

.checkbox .cr-text {
    transition: ease all 100ms;
}

.radio .cr {
    width: 26px;
    height: 26px;
    border-radius: 50%;
}

.checkbox .cr .cr-icon,
.radio .cr .cr-icon {
    position: absolute;
    font-size: .8em;
    line-height: 0;
    top: 55%;
    left: 20%;
    color: #2d527e;
}

.radio .cr .cr-icon {
    top: 2px;
    left: 2px;
    height: 20px;
    width: 20px;
    border-radius: 50%;
    background-color: #2d527e;
}

.checkbox label input[type="checkbox"],
.radio label input[type="radio"] {
    display: none;
}

.checkbox label input[type="checkbox"] + .cr > .cr-icon,
.radio label input[type="radio"] + .cr > .cr-icon {
    
    opacity: 0;
} /*transform: scale(3) rotateZ(-20deg);*/

.checkbox label input[type="checkbox"]:checked + .cr > .cr-icon,
.radio label input[type="radio"]:checked + .cr > .cr-icon {
    transform: scale(1) rotateZ(0deg);
    opacity: 1;
}

.checkbox label input[type="checkbox"]:disabled + .cr,
.radio label input[type="radio"]:disabled + .cr {
    opacity: .5;
}


.checkbox label input[type="checkbox"]:checked + .cr {
    border: solid 1px #2d527e;
}

.checkbox label input[type="checkbox"]:checked + .cr + .cr-text,
.radio label input[type="radio"]:checked + .cr + .cr-text {
    color: #2d527e;
}


/* End checkbox styling */

